petsc-3.10.5 2019-03-28
Report Typos and Errors

# ISCreateStride

Creates a data structure for an index set containing a list of evenly spaced integers.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISCreateStride(MPI_Comm comm,PetscInt n,PetscInt first,PetscInt step,IS *is)

Collective on MPI_Comm

### Input Parameters

| comm | - the MPI communicator
| n | - the length of the locally owned portion of the index set
| first | - the first element of the locally owned portion of the index set
| step | - the change to the next index

### Output Parameter

is -the new index set

### Notes

When the communicator is not MPI_COMM_SELF, the operations on IS are NOT conceptually the same as MPI_Group operations. The IS are the distributed sets of indices and thus certain operations on them are collective.

### See Also

ISCreateGeneral(), ISCreateBlock(), ISAllGather()

### Level

beginner

### Location

src/vec/is/is/impls/stride/stride.c

### Examples

src/vec/is/is/examples/tutorials/ex2.c.html
src/vec/is/is/examples/tutorials/ex2f.F.html
src/dm/impls/plex/examples/tutorials/ex1f90.F90.html
src/dm/examples/tutorials/ex6.c.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages